Class | Yajl::HttpStream
In: | lib/yajl/http_stream.rb
Parent: | Object

This module is for making HTTP requests to which the response bodies (and possibly requests in the near future) are streamed directly into Yajl.

### Methods

delete delete get get post post put put request terminate

### Classes and Modules

Class Yajl::HttpStream::HttpError
Class Yajl::HttpStream::InvalidContentType

### Constants

ALLOWED_MIME_TYPES | = | ["application/json", "text/plain"] |  | The mime-type we expect the response to be. If it‘s anything else, we can‘t parse it and an InvalidContentType is raised.

### Public Class methods

delete(uri, opts = {}, &block)

Makes a basic HTTP DELETE request to the URI provided

get(uri, opts = {}, &block)

Makes a basic HTTP GET request to the URI provided

post(uri, body, opts = {}, &block)

Makes a basic HTTP POST request to the URI provided

put(uri, body, opts = {}, &block)

Makes a basic HTTP PUT request to the URI provided

### Protected Class methods

request(method, uri, opts = {}, &block)

### Public Instance methods

delete(uri, opts = {}, &block)

Makes a basic HTTP DELETE request to the URI provided allowing the user to terminate the connection

get(uri, opts = {}, &block)

Makes a basic HTTP GET request to the URI provided allowing the user to terminate the connection

post(uri, body, opts = {}, &block)

Makes a basic HTTP POST request to the URI provided allowing the user to terminate the connection

put(uri, body, opts = {}, &block)

Makes a basic HTTP PUT request to the URI provided allowing the user to terminate the connection

terminate()

Terminate a running HTTPStream instance

[Validate]